jackrabbit-oak-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jukka Zitting <jukka.zitt...@gmail.com>
Subject Re: Jackrabbit dependencies
Date Mon, 07 May 2012 13:19:42 GMT

On Sat, May 5, 2012 at 12:25 PM, Julian Reschke <julian.reschke@gmx.de> wrote:
> - use 2.6-SNAPSHOT for all Jackrabbit dependencies (we'll need that for sure
> for jcr-tests soon), and

Yes, we can do that. For consistency I think it's best if we just
declare a single ${jackrabbit.version} property in the parent POM and
use that for all our Jackrabbit 2.x dependencies.

> - switch to stable dependencies once we get to (or get close to) Oak 1.0.

We shouldn't be making any releases with SNAPSHOT dependencies.
Instead we can cut unstable Jackrabbit 2.5.x releases from Jackrabbit
trunk for all Oak 0.x releases that need such changes.


Jukka Zitting

View raw message